Subject: Re: linux-next: manual merge of the dt-rh tree with the iommu tree

From: Robin Murphy <[email-masked]>
Date: Wed, 11 May 2016 12:31:13 +0100

Hi Stephen, Rob,

On 11/05/16 03:20, Stephen Rothwell wrote:
> Hi Rob,
>
> Today's linux-next merge of the dt-rh tree got a conflict in:
>
>    drivers/iommu/arm-smmu.c
>
> between commit:
>
>    d54663573131 ("iommu/arm-smmu: Use per-domain page sizes.")
>
> from the iommu tree and commit:
>
>    cb6c27bb0912 ("iommu/arm-smmu: Make use of phandle iterators in device-tree parsing")
>
> from the dt-rh tree.
>
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Sorry, I'll take partial responsibility for that, as I'd forgotten about 
the SMMU patch Rob was carrying when Joerg picked up my conflicting 
patches. The resolution looks fine to me.

Robin.